## EomDialog

EomDialog

## Functions

void | eom_dialog_construct ()
void | eom_dialog_show ()
void | eom_dialog_hide ()
void | eom_dialog_get_controls ()

## Properties

GtkWindow * | parent-window | Read / Write / Construct Only

## Types and Values

struct | EomDialog

## Object Hierarchy

        GObject
        ╰── EomDialog
            ├── EomPreferencesDialog
            ╰── EomPropertiesDialog

## Description

## Functions

### eom_dialog_construct ()

    void
    eom_dialog_construct (EomDialog *dialog,
                          const gchar *ui_file,
                          const gchar *dlg_node);

### eom_dialog_show ()

    void
    eom_dialog_show (EomDialog *dialog);

### eom_dialog_hide ()

    void
    eom_dialog_hide (EomDialog *dialog);

### eom_dialog_get_controls ()

    void
    eom_dialog_get_controls (EomDialog *dialog,
                             const gchar *property_id,
                             ...);

## Types and Values

### struct EomDialog

    struct EomDialog;

## Property Details

### The `“parent-window”` property

      “parent-window”            GtkWindow *

Parent window.

Flags: Read / Write / Construct Only